#include <mbed.h>
#include "PololuEncoder.h"

DigitalOut myled(LED1);

Serial pc(USBTX, USBRX);

#define ENCODER1 0x00

PololuEncoderBuffer encoderBuffer;
PololuEncoder encoder1(p6, p7, &encoderBuffer, ENCODER1);
//PololuEncoder encoder1(p6, p7, ENCODER1);

int main() {
    while(1) {
        //pc.printf("Encoder: %d\n", encoder1.getCounts());          
        while(encoderBuffer.hasEvents())
        {
            PololuEncoderEvent event = encoderBuffer.readEvent();
            pc.printf("%x\n", event);
        }
        myled = 1;
        wait(0.1);
        myled = 0;
        wait(0.1);
    }
}
